Subject: bug#3878: 23.1.50; overlay 'after-string unhides invisible buffer parts

From: Lennart Borgman <[email-masked]>
Date: Sat, 18 Jul 2009 16:28:52 +0200

I have seen this problem when trying to get company-mode to work in
org-mode buffers. company-mode (see EmacsWiki for info) uses an
overlay to display a menu. The menu is displayed in the overlays
'after-string. This 'after-string also includes a copy of the covered
buffer parts. These parts are hidden by an overlay property 'invisible
t.

However if the buffer has invisible parts that are covered with the
overlay things gets wrong. These parts are unhidden (in a rather
strange way).

In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
 of 2009-06-30
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/g/include -fno-crossjumping'